.card-shadow {
    box-shadow: 0 0.1em 0.25em rgba(0, 0, 0, 0.1), 0 0.1em 0.2em rgba(0, 0, 0, 0.1);
}

body {
    position: relative;
    background-color: #e4e9f0;
    color: #444444;
    padding-top: 60px;
    font-family: 'Roboto', sans-serif;
    font-weight: 400;
    -webkit-font-smoothing: antialiased;
    -moz-osx-font-smoothing: grayscale;
}

a:active,
a:focus {
    outline: 0;
}

.main-container {
    padding: 30px 15px 0px 15px;
}

/* Hide dropdown content by default */
.dropdown-menus {
    display: none;
    position: absolute;
    background-color: #f9f9f9;
    min-width: 166px;
    box-shadow: 0px 8px 16px rgba(0, 0, 0, 0.2);
    z-index: 1;
    padding: 12px 16px;
    list-style-type: none;
    right: 101%;
    margin-top: -27px;
}

/* Show dropdown when hovering over the dropdown parent */
.dropdown:hover .dropdown-menus {
    display: block;
}

/* Add styling for the dropdown items */
.dropdown-menus {
    padding: 0px;
}

.dropdown-menus li {
    padding: 0px 0px;
    overflow: hidden;
}

.dropdown-menus li a {
    text-decoration: none;
    display: block;
    color: black;
    padding-left: 17px;
}

/*.paper-list-li li {
    overflow: hidden;
}*/
/* Styling for hover effect on individual dropdown items */
.dropdown-menus li a:hover {
    background-color: #dcdcdc;
    color: black;
    display: block;
    width: auto
}

.animated {
    -webkit-animation-duration: 1s;
    animation-duration: 1s;
    -webkit-animation-fill-mode: both;
    animation-fill-mode: both;
}

.bb-alert {
    display: none;
    position: fixed;
    top: 25%;
    right: 20px;
    margin-bottom: 0;
    font-size: 1.2em;
    padding: 1em 1.3em;
    z-index: 2000;
}

.show-grid [class^=col-] {
    padding-top: 10px;
    padding-bottom: 10px;
    border: 1px solid #fff;
}

.widget-wrap .show-grid [class^=col-] {
    padding-top: 10px;
    padding-bottom: 10px;
    border: 1px solid #eee;
}

#scrollTop {
    background-color: rgba(0, 0, 0, 0.3);
    color: #fff;
    outline: 0;
    width: 44px;
    height: 44px;
    bottom: 30px;
    right: 30px;
    z-index: 200;
    transition: all .2s linear;
    -webkit-border-radius: 4px;
    -moz-border-radius: 4px;
    border-radius: 4px;
}

#scrollTop:hover {
    background-color: #ccc;
    transition: all .2s linear;
}

#scrollTop i {
    line-height: 44px;
    width: 44px;
    height: 44px;
    text-align: center;
    font-size: 20px;
    color: #fff;
}

.w_bg_red {
    background-color: #ff8a80 !important;
}

.w_bg_pink {
    background-color: #ff80ab !important;
}

.w_bg_purple {
    background-color: #ea80fc !important;
}

.w_bg_deep_purple {
    background-color: #b388ff !important;
}

.w_bg_indigo {
    background-color: #8c9eff !important;
}

.w_bg_blue {
    background-color: #64b5f6 !important;
}

.w_bg_light_blue {
    background-color: #4fc3f7 !important;
}

.w_bg_cyan {
    background-color: #26c6da !important;
}

.w_bg_teal {
    background-color: #26a69a;
}

.w_bg_green {
    background-color: #66bb6a;
}

.w_bg_light_green {
    background-color: #8bc34a;
}

.w_bg_lime {
    background-color: #c0ca33;
}

.w_bg_yellow {
    background-color: #fdd835;
}

.w_bg_amber {
    background-color: #ffb300;
}

.w_bg_orange {
    background-color: #fb8c00;
}

.w_bg_deep_orange {
    background-color: #d84315;
}

.w_bg_brown {
    background-color: #8d6e63;
}

.w_bg_grey {
    background-color: #90a4ae;
}

.w_bg_blue_grey {
    background-color: #546e7a;
}

.data-align-right {
    text-align: right;
}

.footer {
    position: fixed;
    bottom: 0;
    width: -webkit-fill-available;
}

/* Custom Tag Mapping Css Premendra 23 May 2023 */
.custom_tag_class {
    padding: 6px;
    background-color: #aef2f1;
    cursor: pointer;
    display: inline-block;
    margin-top: 10px
}

/* End Custom Tag Mapping Css Premendra 23 May 2023 */

/* paper set switch button css*/
.switch {
    display: inline-block;
    padding: 0px;
}

.switch input {
    display: none;
}

.switch small {
    display: inline-block;
    width: 43px;
    height: 18px;
    background: #455a64;
    border-radius: 30px;
    position: relative;
    cursor: pointer;
    float: left;
    margin: 4px 10px;
}

.switch small:after {
    content: "No";
    position: absolute;
    color: #fff;
    font-size: 11px;
    font-weight: 600;
    width: 100%;
    left: 0px;
    text-align: right;
    padding: 0 6px;
    box-sizing: border-box;
    line-height: 18px;
}

.switch small:before {
    content: "";
    position: absolute;
    width: 12px;
    height: 12px;
    background: #fff;
    border-radius: 50%;
    top: 3px;
    left: 3px;
    transition: .3s;
    box-shadow: -3px 0 3px rgba(0, 0, 0, 0.1);
}

.switch input:checked~small {
    background: #4fc5c5;
    transition: .3s;
}

.switch input:checked~small:before {
    transform: translate(25px, 0px);
    transition: .3s;
}

.switch input:checked~small:after {
    content: "Yes";
    text-align: left;
}

span.paper-action-btn.btn-danger {
    display: inline-block;
    margin: 15px 0px 0px;
    padding: 5px 10px 0;
}

.random-set {
    border-bottom: 1px solid #e4e9f0;
}

.paperSetsBlock .paper-set-list .default-paper-set .title-type-paper .type-content {
    margin: 15px 0px;
}

/*Lock papper code css*/
.wrapper-section {
    margin-top: 30px;
    border: 1px solid #ccc;
    padding: 10px;
}

.subject-des {
    width: 100%;
    display: block;
    margin: 10px 0px 10px;
    border: 1px solid #ccc;
    background: #fff;
    border-bottom: 1px solid #ccc;
}

.top-heder {
    background: #17bab8 !important;
}

.top-heder .subject-title h1 {
    font-size: 18px;
    margin: 0px;
    padding: 10px 15px;
    color: #fff;
}

.top-heder .subject-details h1 {
    font-size: 18px;
    padding: 10px 15px;
    color: #fff;
    margin: 0px;
    text-align: right;

}

.text-filled-add .card-header h3 {
    font-size: 18px;
}

.card {
    border: transparent;
    border-radius: none;
}

.card-header:first-child {
    border-radius: calc(.25rem - 1px) calc(.25rem - 1px) 0 0;
    font-size: 18px;
}

.card-header {
    padding: .75rem 1.25rem;
    margin-bottom: 0;
    background-color: rgba(0, 0, 0, .03);
    border-bottom: 1px solid rgba(0, 0, 0, .125);
}

.substection-bg {
    background: rgba(0, 0, 0, .03);
    padding: 15px 20px;
    display: inline-block;
    width: 100%;
}

.text-filled-add {
    margin-top: 20px;
}

.paper-sections-details-info {
    width: 98%;
    margin: 0 auto;
}

.text-filled-add .subject-rows {
    padding: 12px 15px;
}

.modal-w-75 .modal-dialog {
    width: 75%;
}

.proceed-btn {
    color: #fff;
    background: #1762af;
    border: none;
}

.proceed-close {
    background: #f2dede;
    color: #c7254e;
    border: none;
}

.locked-paper-popup-width {
    width: 80%;
}

.substection-bg .row-col {
    display: flex;
}

.showErrMsg {
    text-align: left;
    color: red;
    font-size: 12px;
    margin: 0px 21px;
}

/*End*/

/*add new paper glance report css*/
.highlight {
    background-color: #7dd5d3;
    color: white;
    padding: 3px 15px;
    margin: 5px 0;
    border-radius: 5px;
    /* Rounded corners */
    margin-right: 18PX;

}

.highlight-subsection {
    background-color: #f5f5f5;
    border: 1px solid #f5f5f5;
    padding: 0px 54px 10px 20px;
    border-bottom: 0px;
}

.highlight-color {
    color: #000;
    padding: 0px 6px;
    margin: 5px 0px 1px 0px;
    border-radius: 3px;
    font-size: 13px;
    display: flex;

}

.label-black {
    color: black;
    padding: 1px;
    font-size: 15px;


}

.modal-header {
    padding: 5px 15px;
}

.modal-body {

    padding: 1px;
}

.section-design {
    background-color: #fff;
    padding: 5px 15px 10px 15px;
    border-bottom: 0px;
    margin-bottom: 5px;
}

.modal-header .close {
    margin-top: -23px;
}

btn-close {
    margin-top: -2px;
}

.codeview {
    padding: 1px 8px 0px 8px !important;
    font-size: 60% !important;
    color: #c7254e !important;
    background-color: #f9f2f4 !important;
    border-radius: 9px !important;
    text-decoration: none !important;


}

.codeview:hover {
    background-color: #17bab8 !important;
    color: #fff !important;
}

.modal-open .modal {

    background: #262525a8;
}

.section-blog {
    display: flex;
    align-items: center;
}

.cols-blog .inner-data .tp-mar {
    margin-top: -2px;
}

#questionPaperModal .modal-dialog {
    width: 1390px;
    height: 600px;
    overflow-y: auto;
    overflow-x: hidden;
    margin-bottom: 25px;
    min-height: 650px;
}

.glance-btn {
    margin-top: -3px;
}

span.top-bar-pr {
    margin-top: -1px !important;
}

.top-bar-key {
    margin-top: -2px !important;
}

#questionPaperModal .modal-dialog::-webkit-scrollbar-track {
    -webkit-box-shadow: inset 0 0 6px rgba(0, 0, 0, 0.3);
    border-radius: 10px;
    background-color: #F5F5F5;
}

/*add new css*/
#questionPaperModal .modal-dialog .top-bar {
    display: flex;
    align-items: center;
    margin-right: 11px;
}

.top-bar-de {
    margin: 0px;
    padding: 0px 5px;
}

.top-bar-de span {
    color: #c7254e;
    font-size: 14px;
    margin-top: 5px;
}

.cols-blog {
    display: flex;
    align-items: center;
}

.cols-blog .inner-data {
    color: #000;
    padding: 0px 6px;
    margin: 5px 5px 1px 0px;
    border-radius: 3px;
    font-size: 13px;
    display: flex;
}

.cols-blog .inner-data span {
    padding: 1px 4px;
    color: #c7254e;
    background-color: #f9f2f4;
    border-radius: 4px;
    height: 17px;
    line-height: 15px;
    margin-top: 2px;
    font-size: 11px;

}

.highlight-color span {
    padding: 1px 4px;
    color: #c7254e;
    background-color: #f9f2f4;
    border-radius: 4px;
    height: 17px;
    line-height: 15px;
    margin: 2px 0px 6px 0px;
}

.section-design:nth-child(1) {
    background: #f5f5f5;
}

.close.btn-close span {
    color: #fff;
}

.highlight-subsection:last-child(-n + 3) {
    margin-bottom: 20px;
}

.top-sec {
    display: flex;
    position: relative;
    width: 100%;
    justify-content: center;
    margin-top: 12px;
}

.top-bar-de {
    position: relative;
    display: flex;
    align-items: center;
}

.inner-data {
    position: relative;
}

#questionPaperModal .modal-dialog::-webkit-scrollbar-track {

    background-color: #fff;
}

#questionPaperModal .modal-dialog::-webkit-scrollbar {
    width: 4px;
    height: 10px;
    background-color: #fff;
}

#questionPaperModal .modal-dialog::-webkit-scrollbar-thumb {
    background-color: #8b8383;
}

.cols-blog .inner-data p {
    display: inline-block;
    margin: 0px;
    padding: 0px;
    color: #000;
}

.highlight-color p {
    display: inline-block;
    margin: 0px;
    padding: 0px;
    color: #000;

}

.top-bar-de p {
    display: inline-block;
    margin: 0px;
    padding: 0px;
    color: #000;

}

.highlight-subsection h4 {
    margin: 5px 0px 0px 0px;
    padding: 0px;
    font-weight: 600;
}

.highlight-subsection h4 b {
    font-weight: 600;
    font-size: 14px;

}

.section-design h4 {
    margin: 0px;
    padding: 0px;
    color: #139c9b;
    text-align: left;
}

.section-design h4 b {
    font-weight: 600;
    font-size: 18px;
}

.section-design h4 b a {
    text-decoration: none;
}

.highlights .paper-counts {
    margin: 4px 0px 8px -16px;
}

.modal-header {
    padding: 5px 15px;
    position: sticky;
    width: 100%;
    top: 0px;
    z-index: 999;
}

.highlights {
    color: #000;
    padding: 0px 6px;
    margin: 5px 5px 1px 0px;
    border-radius: 3px;
    font-size: 13px;
    display: flex;
}

.highlights span {
    padding: 1px 4px;
    color: #c7254e;
    background-color: #f9f2f4;
    border-radius: 4px;
    height: 17px;
    line-height: 15px;
    margin-top: 3px;
    font-size: 12px;
}

.highlights p {
    display: inline-block;
    margin: 0px;
    padding: 0px;
    color: #000;
}

.border-bt {
    border-bottom: 1px solid #f5f5f5;
}

.glance-report-table thead {
    background: #ddfefd;

}

.glance-report-table {
    width: 100%;
    text-align: center;
}

.glance-report-table thead th {
    font-weight: 400;
}

.response {
    color: #ffa52f;
    text-align: left;
}

.loginBlock:hover,
.loginBlock:active,
.loginBlock:focus {
    /*background: #3e8e41;*/
    color: #485beb;
    text-decoration: none;
}

.j-forms .radio input:checked+i,
.j-forms .checkbox input:checked+i {
    color: #687aff;
}

.j-forms .radio input:checked+i,
.j-forms .checkbox input:checked+i,
.j-forms .radio-toggle input:checked+i,
.j-forms .checkbox-toggle input:checked+i .j-forms .checkbox-toggle-boolean input:checked+i {
    border: 2px solid #687aff;
}

.j-forms .radio input:checked+i:after,
.j-forms .checkbox input:checked+i:after {
    opacity: 1;
}

.j-forms .radio,
.j-forms .checkbox,
.j-forms .radio-toggle,
.j-forms .checkbox-toggle,
.j-forms .checkbox-toggle-boolean,
.j-forms .radio *,
.j-forms .checkbox *,
.j-forms .radio-toggle *,
.j-forms .checkbox-toggle *,
.j-forms .checkbox-toggle-boolean *,
.j-forms .radio i:after,
.j-forms .checkbox i:after,
.j-forms .radio-toggle i:after,
.j-forms .checkbox-toggle i:after,
.j-forms .checkbox-toggle-boolean i:after,
.j-forms .radio i:before,
.j-forms .checkbox i:before,
.j-forms .radio-toggle i:before,
.j-forms .checkbox-toggle i:before,
.j-forms .checkbox-toggle-boolean i:before {
    -webkit-box-sizing: content-box;
    -moz-box-sizing: content-box;
    box-sizing: content-box;
}

.j-forms .checkbox i:after {
    border-width: 0 0 3px 3px;
    border-bottom: solid #687aff;
    border-left: solid #687aff;
}

.createnew-pass {
    z-index: 10;
    position: absolute;
    right: 40px;
    bottom: 142px;
}

.orLabel {
    color: #fff !important;
    margin-bottom: 0px;
}

.orLabel:before {
    background-color: #7FA1C3;
    content: "";
    display: inline-block;
    height: 1px;
    vertical-align: middle;
    width: 196px;
    margin-right: 20px;
}

.orLabel:after {
    background-color: #7FA1C3;
    content: "";
    display: inline-block;
    height: 1px;
    vertical-align: middle;
    width: 196px;
    margin-left: 20px;
}

.googleButtonLayout {
    position: absolute;
    bottom: -40px;
    width: 100%;
    text-align: center;
    left: 0px;
    right: 0px;
}

.GoogleButton {
    width: 350px;
    margin-top: 0px;
    border: 1px solid #000;
}

.GoogleButton img {
    margin-right: 20px;
    width: 20px
}

/*login page note*/

.info-holder .note-text {
    text-align: center;
    width: 100%;
    margin: 0 auto;
    position: relative;
    z-index: 99;
    background: #fff5f563;
    border: 1px solid #ffbdbd;
    border-radius: 4px;
    padding: 4px 4px 0px;
}

.info-holder .note-text p {
    color: #ff931a;
    padding: 6px;
    margin: 0;
    font-size: 14px;
    font-weight: 600;
    width: 100%;
    text-align: left;
    line-height: 20px;
}

.info-holder .note-text p span img {
    width: 24px;
    margin: 0px 6px;
}

.info-holder .note-text p a {
    text-decoration: underline;
}

.info-holder .note-text p a:hover {
    text-decoration: none;
    color: #139c9b;
}

.note-text {
    text-align: center;
    width: 55%;
    margin: 0 auto;
    position: relative;
    z-index: 99;
    top: -20px;
}

.note-text p {
    color: #ffc170;
    padding: 10px;
    margin: -10px -25px -150px;
    font-size: 14px;
    font-weight: 600;
    line-height: 20px;
    width: 93%;
}

.note-text p span img {
    width: 24px;
    margin: 0px 6px;
}

.note-text p a {
    text-decoration: underline;
    color: #b0dbff;
}

.note-text p a:hover {
    color: #fff;
}

.header-note {
    text-align: center;
}

.header-note p {
    margin: 0px 0px 0px;
    font-weight: 600;
    color: #c42b1c;
    font-size: 10px;
    text-align: justify;
}

.header-note p span img {
    width: 24px;
    margin: 0px 6px;
}
.loader {
    border: 4px solid #f3f3f3;
    border-top: 4px solid #3498db;
    border-radius: 50%;
    width: 25px;
    height: 25px;
    animation: spin 1s linear infinite;
  
    /* Centering */
    position: absolute;
  
    left: 50%;
    transform: translate(-50%, -50%);
  
    z-index: 1000;
  }
  
  
  @keyframes spin {
    0% { transform: rotate(0deg); }
    100% { transform: rotate(360deg); }
  }
  

/*End*/
@media (max-width: 790px) {
    #questionPaperModal .modal-dialog {
        width: 95%;
    }

    .cols-blog {
        flex-wrap: wrap;
    }
}

/*end glance report*/
@media (min-width: 1440px) {
    .switch {
        width: 60%;
    }

    .section-design {
        overflow-x: auto;
    }

    .highlight-subsection {
        overflow-x: auto;
    }
}

@media (max-width: 1380px) {

    .section-design {
        overflow-x: auto;
    }

    .highlight-subsection {
        overflow-x: auto;
    }

    .note-text {
        width: 45%;
    }
}

@media (min-width: 1180px) {
    .switch {
        width: 80%;
    }

}

@media (max-width: 1024px) {
    .form-holder {
        margin-left: 244px;
    }
}

@media (max-width: 768px) {
    .note-text {
        width: 100% !important;
        top: 50px !important;
        padding: 0px 10px;
    }

    .note-text p {
        width: 100% !important;
        display: block;
        padding: 0px !important;
        margin: 0px !important;
    }

    .form-holder {
        margin-left: 0PX;
    }
    .form-holder .form-content-login {
        top: -50px;
    }
}

@media (max-width: 575px) {
    .note-text {
        width: 100% !important;
        top: 50px !important;
        padding: 0px 10px;
    }

    .note-text p {
        width: 100% !important;
        display: block;
        padding: 0px !important;
        margin: 0px !important;
    }
    .form-holder .form-content-login {
        top: -120px;
    }

    .orLabel:after {
        width: 135px;
    }

    .orLabel:before {
        width: 130px;
    }
}

@media (max-width: 320px) {
    .note-text {
        width: 100% !important;
        top: 50px !important;
        padding: 0px 10px;
    }

    .note-text p {
        width: 100% !important;
        display: block;
        padding: 0px !important;
        margin: 0px !important;
    }

    .form-holder .form-content-login {
        top: -120px;
    }
}